Skip to content
Start here

Update a user

client.zeroTrust.access.users.update(stringuserId, UserUpdateParams { account_id, email, name } params, RequestOptionsoptions?): UserUpdateResponse { id, access_seat, active_device_count, 8 more }
PUT/accounts/{account_id}/access/users/{user_id}

Updates a specific user’s name for an account. Requires the user’s current email as confirmation (email cannot be changed).

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Zero Trust: Seats Write
ParametersExpand Collapse
userId: string

UUID.

maxLength36
params: UserUpdateParams { account_id, email, name }
account_id: string

Path param: Identifier.

maxLength32
email: string

Body param: The email of the user.

formatemail
name: string

Body param: The name of the user.

ReturnsExpand Collapse
UserUpdateResponse { id, access_seat, active_device_count, 8 more }
id?: string

UUID.

maxLength36
access_seat?: boolean

True if the user has authenticated with Cloudflare Access.

active_device_count?: number

The number of active devices registered to the user.

created_at?: string
formatdate-time
email?: string

The email of the user.

formatemail
gateway_seat?: boolean

True if the user has logged into the WARP client.

last_successful_login?: string

The time at which the user last successfully logged in.

formatdate-time
name?: string

The name of the user.

seat_uid?: string

The unique API identifier for the Zero Trust seat.

uid?: string

The unique API identifier for the user.

updated_at?: string
formatdate-time

Update a user

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const user = await client.zeroTrust.access.users.update('f174e90a-fafe-4643-bbbc-4a0ed4fc8415', {
  account_id: '023e105f4ecef8ad9ca31a8372d0c353',
  email: 'jdoe@example.com',
  name: 'Jane Doe',
});

console.log(user.id);
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "id": "f174e90a-fafe-4643-bbbc-4a0ed4fc8415",
    "access_seat": false,
    "active_device_count": 2,
    "created_at": "2014-01-01T05:20:00.12345Z",
    "email": "jdoe@example.com",
    "gateway_seat": false,
    "last_successful_login": "2020-07-01T05:20:00Z",
    "name": "Jane Doe",
    "seat_uid": "seat_uid",
    "uid": "uid",
    "updated_at": "2014-01-01T05:20:00.12345Z"
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "id": "f174e90a-fafe-4643-bbbc-4a0ed4fc8415",
    "access_seat": false,
    "active_device_count": 2,
    "created_at": "2014-01-01T05:20:00.12345Z",
    "email": "jdoe@example.com",
    "gateway_seat": false,
    "last_successful_login": "2020-07-01T05:20:00Z",
    "name": "Jane Doe",
    "seat_uid": "seat_uid",
    "uid": "uid",
    "updated_at": "2014-01-01T05:20:00.12345Z"
  }
}